# psp-fixup-imports.c File Reference

`#include <stdio.h>`
`#include <getopt.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <assert.h>`
`#include <ctype.h>`
`#include "types.h"`
`#include "elftypes.h"`
`#include "prxtypes.h"`

Include dependency graph for psp-fixup-imports.c:

## Defines

#define | PRX_LIBSTUB_SECT ".lib.stub"
#define | PRX_STUBTEXT_SECT ".sceStub.text"
#define | PRX_NID_SECT ".rodata.sceNid"
#define | MIPS_JR_31 0x03e00008
#define | MIPS_NOP 0x0

## Functions

int | process_args (int argc, char **argv)
void | print_help (void)
unsigned char * | load_file (const char *file, unsigned int *size)
int | validate_header (unsigned char *data)
int | load_sections (unsigned char *data)
int | load_elf (const char *elf)
void | free_data (void)
void | fixup_imports (void)
int | main (int argc, char **argv)

## Define Documentation

#define MIPS_JR_31 0x03e00008

#define MIPS_NOP 0x0

#define PRX_LIBSTUB_SECT ".lib.stub"

#define PRX_NID_SECT ".rodata.sceNid"

#define PRX_STUBTEXT_SECT ".sceStub.text"

## Function Documentation

void fixup_imports | ( | void |  | ) |

void free_data | ( | void |  | ) |

int load_elf | ( | const char * | elf | ) |

unsigned char* load_file | ( | const char * | file,
|  | unsigned int * | size
| ) |

int load_sections | ( | unsigned char * | data | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |

void print_help | ( | void |  | ) |

int process_args | ( | int | argc,
|  | char ** | argv
| ) |

int validate_header | ( | unsigned char * | data | ) |